diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv4-static-routing-helper.h ns-3.44/src/internet/helper/ipv4-static-routing-helper.h
--- ns-3.43/src/internet/helper/ipv4-static-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv4-static-routing-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -22,9 +22,9 @@
 {
 
 /**
- * \ingroup ipv4Helpers
+ * @ingroup ipv4Helpers
  *
- * \brief Helper class that adds ns3::Ipv4StaticRouting objects
+ * @brief Helper class that adds ns3::Ipv4StaticRouting objects
  *
  * This class is expected to be used in conjunction with
  * ns3::InternetStackHelper::SetRoutingHelper
@@ -39,9 +39,9 @@
     Ipv4StaticRoutingHelper();
 
     /**
-     * \brief Construct an Ipv4StaticRoutingHelper from another previously
+     * @brief Construct an Ipv4StaticRoutingHelper from another previously
      * initialized instance (Copy Constructor).
-     * \param o object to be copied
+     * @param o object to be copied
      */
     Ipv4StaticRoutingHelper(const Ipv4StaticRoutingHelper& o);
 
@@ -49,7 +49,7 @@
     Ipv4StaticRoutingHelper& operator=(const Ipv4StaticRoutingHelper&) = delete;
 
     /**
-     * \returns pointer to clone of this Ipv4StaticRoutingHelper
+     * @returns pointer to clone of this Ipv4StaticRoutingHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -57,8 +57,8 @@
     Ipv4StaticRoutingHelper* Copy() const override;
 
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created routing protocol
      *
      * This method will be called by ns3::InternetStackHelper::Install
      */
@@ -69,20 +69,20 @@
      * protocol or in the list of routing protocols associated with the
      * Ipv4 provided.
      *
-     * \param ipv4 the Ptr<Ipv4> to search for the static routing protocol
-     * \returns Ipv4StaticRouting pointer or 0 if not found
+     * @param ipv4 the Ptr<Ipv4> to search for the static routing protocol
+     * @returns Ipv4StaticRouting pointer or 0 if not found
      */
     Ptr<Ipv4StaticRouting> GetStaticRouting(Ptr<Ipv4> ipv4) const;
 
     /**
-     * \brief Add a multicast route to a node and net device using explicit
+     * @brief Add a multicast route to a node and net device using explicit
      * Ptr<Node> and Ptr<NetDevice>
      *
-     * \param n The node.
-     * \param source Source address.
-     * \param group Multicast group.
-     * \param input Input NetDevice.
-     * \param output Output NetDevices.
+     * @param n The node.
+     * @param source Source address.
+     * @param group Multicast group.
+     * @param input Input NetDevice.
+     * @param output Output NetDevices.
      */
     void AddMulticastRoute(Ptr<Node> n,
                            Ipv4Address source,
@@ -91,15 +91,15 @@
                            NetDeviceContainer output);
 
     /**
-     * \brief Add a multicast route to a node and device using a name string
+     * @brief Add a multicast route to a node and device using a name string
      * previously associated to the node using the Object Name Service and a
      * Ptr<NetDevice>
      *
-     * \param n The node.
-     * \param source Source address.
-     * \param group Multicast group.
-     * \param input Input NetDevice.
-     * \param output Output NetDevices.
+     * @param n The node.
+     * @param source Source address.
+     * @param group Multicast group.
+     * @param input Input NetDevice.
+     * @param output Output NetDevices.
      */
     void AddMulticastRoute(std::string n,
                            Ipv4Address source,
@@ -108,14 +108,14 @@
                            NetDeviceContainer output);
 
     /**
-     * \brief Add a multicast route to a node and device using a Ptr<Node> and a
+     * @brief Add a multicast route to a node and device using a Ptr<Node> and a
      * name string previously associated to the device using the Object Name Service.
      *
-     * \param n The node.
-     * \param source Source address.
-     * \param group Multicast group.
-     * \param inputName Input NetDevice.
-     * \param output Output NetDevices.
+     * @param n The node.
+     * @param source Source address.
+     * @param group Multicast group.
+     * @param inputName Input NetDevice.
+     * @param output Output NetDevices.
      */
     void AddMulticastRoute(Ptr<Node> n,
                            Ipv4Address source,
@@ -124,15 +124,15 @@
                            NetDeviceContainer output);
 
     /**
-     * \brief Add a multicast route to a node and device using name strings
+     * @brief Add a multicast route to a node and device using name strings
      * previously associated to both the node and device using the Object Name
      * Service.
      *
-     * \param nName The node.
-     * \param source Source address.
-     * \param group Multicast group.
-     * \param inputName Input NetDevice.
-     * \param output Output NetDevices.
+     * @param nName The node.
+     * @param source Source address.
+     * @param group Multicast group.
+     * @param inputName Input NetDevice.
+     * @param output Output NetDevices.
      */
     void AddMulticastRoute(std::string nName,
                            Ipv4Address source,
@@ -141,49 +141,49 @@
                            NetDeviceContainer output);
 
     /**
-     * \brief Add a default route to the static routing protocol to forward
+     * @brief Add a default route to the static routing protocol to forward
      *        packets out a particular interface
      *
      * Functionally equivalent to:
      * route add 224.0.0.0 netmask 240.0.0.0 dev nd
-     * \param n node
-     * \param nd device of the node to add default route
+     * @param n node
+     * @param nd device of the node to add default route
      */
     void SetDefaultMulticastRoute(Ptr<Node> n, Ptr<NetDevice> nd);
 
     /**
-     * \brief Add a default route to the static routing protocol to forward
+     * @brief Add a default route to the static routing protocol to forward
      *        packets out a particular interface
      *
      * Functionally equivalent to:
      * route add 224.0.0.0 netmask 240.0.0.0 dev nd
-     * \param n node
-     * \param ndName string with name previously associated to device using the
+     * @param n node
+     * @param ndName string with name previously associated to device using the
      *        Object Name Service
      */
     void SetDefaultMulticastRoute(Ptr<Node> n, std::string ndName);
 
     /**
-     * \brief Add a default route to the static routing protocol to forward
+     * @brief Add a default route to the static routing protocol to forward
      *        packets out a particular interface
      *
      * Functionally equivalent to:
      * route add 224.0.0.0 netmask 240.0.0.0 dev nd
-     * \param nName string with name previously associated to node using the
+     * @param nName string with name previously associated to node using the
      *        Object Name Service
-     * \param nd device of the node to add default route
+     * @param nd device of the node to add default route
      */
     void SetDefaultMulticastRoute(std::string nName, Ptr<NetDevice> nd);
 
     /**
-     * \brief Add a default route to the static routing protocol to forward
+     * @brief Add a default route to the static routing protocol to forward
      *        packets out a particular interface
      *
      * Functionally equivalent to:
      * route add 224.0.0.0 netmask 240.0.0.0 dev nd
-     * \param nName string with name previously associated to node using the
+     * @param nName string with name previously associated to node using the
      *        Object Name Service
-     * \param ndName string with name previously associated to device using the
+     * @param ndName string with name previously associated to device using the
      *        Object Name Service
      */
     void SetDefaultMulticastRoute(std::string nName, std::string ndName);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv6-address-helper.h ns-3.44/src/internet/helper/ipv6-address-helper.h
--- ns-3.43/src/internet/helper/ipv6-address-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv6-address-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -21,9 +21,9 @@
 {
 
 /**
- * \ingroup ipv6Helpers
+ * @ingroup ipv6Helpers
  *
- * \brief Helper class to auto-assign global IPv6 unicast addresses
+ * @brief Helper class to auto-assign global IPv6 unicast addresses
  *
  * Assign global unicast IPv6 addresses based on \RFC{4291} definition.
  *
@@ -73,31 +73,31 @@
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6AddressHelper();
 
     /**
-     * \brief Constructor.
-     * \param network The IPv6 network
-     * \param prefix The prefix
-     * \param base The base interface ID
+     * @brief Constructor.
+     * @param network The IPv6 network
+     * @param prefix The prefix
+     * @param base The base interface ID
      */
     Ipv6AddressHelper(Ipv6Address network,
                       Ipv6Prefix prefix,
                       Ipv6Address base = Ipv6Address("::1"));
 
     /**
-     * \brief Set the base network number, network prefix, and base interface ID
+     * @brief Set the base network number, network prefix, and base interface ID
      *
-     * \param network The IPv6 network
-     * \param prefix The prefix
-     * \param base The base interface ID
+     * @param network The IPv6 network
+     * @param prefix The prefix
+     * @param base The base interface ID
      */
     void SetBase(Ipv6Address network, Ipv6Prefix prefix, Ipv6Address base = Ipv6Address("::1"));
 
     /**
-     * \brief Allocate a new network.
+     * @brief Allocate a new network.
      *
      * This method will cause the subnet prefix to increment, for future
      * network IDs, and resets the interface ID to the previously used
@@ -106,84 +106,84 @@
     void NewNetwork();
 
     /**
-     * \brief Allocate a new Ipv6Address.
+     * @brief Allocate a new Ipv6Address.
      *
      * If a Mac48Address is passed in, an Ipv6 autoconfigured address
      * according to the current subnet prefix is returned.  If something
      * other than Mac48 address is passed in, the program will terminate.
      *
-     * \param addr address used to generate the interface ID of the IPv6 address
-     * \return newly created Ipv6Address
+     * @param addr address used to generate the interface ID of the IPv6 address
+     * @return newly created Ipv6Address
      */
     Ipv6Address NewAddress(Address addr);
 
     /**
-     * \brief Allocate a new Ipv6Address with interface ID equal to the
+     * @brief Allocate a new Ipv6Address with interface ID equal to the
      * next one in the underlying generator.
      *
-     * \return newly created Ipv6Address
+     * @return newly created Ipv6Address
      */
     Ipv6Address NewAddress();
 
     /**
-     * \brief Allocate an Ipv6InterfaceContainer with auto-assigned addresses.
-     * \param c netdevice container
-     * \return newly created Ipv6InterfaceContainer
+     * @brief Allocate an Ipv6InterfaceContainer with auto-assigned addresses.
+     * @param c netdevice container
+     * @return newly created Ipv6InterfaceContainer
      */
     Ipv6InterfaceContainer Assign(const NetDeviceContainer& c);
 
     /**
-     * \brief Allocate an Ipv6InterfaceContainer, and control whether the
+     * @brief Allocate an Ipv6InterfaceContainer, and control whether the
      *        interfaces have addresses auto-assigned to them
      *
-     * \param c netdevice container
-     * \param withConfiguration a vector of values for which, for a
+     * @param c netdevice container
+     * @param withConfiguration a vector of values for which, for a
      *        given device, true : interface automatically addressed,
      *        false : no automatic address
-     * \return newly created Ipv6InterfaceContainer
+     * @return newly created Ipv6InterfaceContainer
      */
     Ipv6InterfaceContainer Assign(const NetDeviceContainer& c, std::vector<bool> withConfiguration);
 
     /**
-     * \brief Allocate an Ipv6InterfaceContainer, and control whether the
+     * @brief Allocate an Ipv6InterfaceContainer, and control whether the
      *        interfaces have addresses auto-assigned to them
      *
-     * \param c netdevice container
-     * \param withConfiguration a vector of values for which, for a
+     * @param c netdevice container
+     * @param withConfiguration a vector of values for which, for a
      *        given device, true : interface automatically addressed,
      *        false : no automatic address
-     * \param onLink a vector of values for which, for a
+     * @param onLink a vector of values for which, for a
      *        given device, true : on-link property added,
      *        false : network is not on-link
      *        Meaningful only if the address is automatically assigned.
-     * \return newly created Ipv6InterfaceContainer
+     * @return newly created Ipv6InterfaceContainer
      */
     Ipv6InterfaceContainer Assign(const NetDeviceContainer& c,
                                   std::vector<bool> withConfiguration,
                                   std::vector<bool> onLink);
 
     /**
-     * \brief Allocate an Ipv6InterfaceContainer but do not assign any IPv6 addresses
+     * @brief Allocate an Ipv6InterfaceContainer but do not assign any IPv6 addresses
      *
      * This method is used when IPv6 address assignment may occur later
      * (such as dynamic address assignment)
      *
      * Equivalent to AssignWithoutAddress (c, std::vector<bool> of false);
      *
-     * \param c netdevice container
-     * \return newly created Ipv6InterfaceContainer
+     * @param c netdevice container
+     * @return newly created Ipv6InterfaceContainer
      */
     Ipv6InterfaceContainer AssignWithoutAddress(const NetDeviceContainer& c);
 
     /**
-     * \brief Allocate an Ipv6InterfaceContainer with auto-assigned addresses,
+     * @brief Allocate an Ipv6InterfaceContainer with auto-assigned addresses,
      * but do not set the on-link property for the network.
      *
      * This method will assign a valid global address to the interface but
      * the routing will not consider the network as "on-link".
      *
-     * \param c netdevice container
-     * \return newly created Ipv6InterfaceContainer
+     * @param c netdevice container
+     * @return newly created Ipv6InterfaceContainer
      */
     Ipv6InterfaceContainer AssignWithoutOnLink(const NetDeviceContainer& c);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv6-interface-container.h ns-3.44/src/internet/helper/ipv6-interface-container.h
--- ns-3.43/src/internet/helper/ipv6-interface-container.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv6-interface-container.h	2025-03-09 16:55:49.383371000 -0700
@@ -21,25 +21,25 @@
 {
 
 /**
- * \ingroup ipv6
+ * @ingroup ipv6
  *
- * \brief Keep track of a set of IPv6 interfaces.
+ * @brief Keep track of a set of IPv6 interfaces.
  */
 class Ipv6InterfaceContainer
 {
   public:
     /**
-     * \brief Container Const Iterator for pairs of Ipv6 smart pointer / Interface Index.
+     * @brief Container Const Iterator for pairs of Ipv6 smart pointer / Interface Index.
      */
     typedef std::vector<std::pair<Ptr<Ipv6>, uint32_t>>::const_iterator Iterator;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6InterfaceContainer();
 
     /**
-     * \returns the number of Ptr<Ipv6> and interface pairs stored in this
+     * @returns the number of Ptr<Ipv6> and interface pairs stored in this
      * Ipv6InterfaceContainer.
      *
      * Pairs can be retrieved from the container in two ways.  First,
@@ -48,55 +48,55 @@
      * define an ending condition in a for-loop that runs through the stored
      * Nodes
      *
-     * \code
+     * @code
      *   uint32_t nNodes = container.GetN ();
      *   for (uint32_t i = 0 i < nNodes; ++i)
      *     {
      *       std::pair<Ptr<Ipv6>, uint32_t> pair = container.Get (i);
      *       method (pair.first, pair.second);  // use the pair
      *     }
-     * \endcode
+     * @endcode
      */
     uint32_t GetN() const;
 
     /**
-     * \brief Get the interface index for the specified node index.
-     * \param i index of the node
-     * \return interface index
+     * @brief Get the interface index for the specified node index.
+     * @param i index of the node
+     * @return interface index
      */
     uint32_t GetInterfaceIndex(uint32_t i) const;
 
     /**
-     * \brief Get the address for the specified index.
-     * \param i interface index
-     * \param j address index, generally index 0 is the link-local address
-     * \return IPv6 address
+     * @brief Get the address for the specified index.
+     * @param i interface index
+     * @param j address index, generally index 0 is the link-local address
+     * @return IPv6 address
      */
     Ipv6Address GetAddress(uint32_t i, uint32_t j) const;
 
     /**
-     * \brief Get the link-local address for the specified index.
-     * \param i index
-     * \return the link-local address, or "::" if the interface has no link local address.
+     * @brief Get the link-local address for the specified index.
+     * @param i index
+     * @return the link-local address, or "::" if the interface has no link local address.
      */
     Ipv6Address GetLinkLocalAddress(uint32_t i);
 
     /**
-     * \brief Get the link-local address for the node with the specified global address.
-     * \param address the address to find.
-     * \return the link-local address, or "::" if the interface has no link local address.
+     * @brief Get the link-local address for the node with the specified global address.
+     * @param address the address to find.
+     * @return the link-local address, or "::" if the interface has no link local address.
      */
     Ipv6Address GetLinkLocalAddress(Ipv6Address address);
 
     /**
-     * \brief Add a couple IPv6/interface.
-     * \param ipv6 IPv6 address
-     * \param interface interface index
+     * @brief Add a couple IPv6/interface.
+     * @param ipv6 IPv6 address
+     * @param interface interface index
      */
     void Add(Ptr<Ipv6> ipv6, uint32_t interface);
 
     /**
-     * \brief Get an iterator which refers to the first pair in the
+     * @brief Get an iterator which refers to the first pair in the
      * container.
      *
      * Pairs can be retrieved from the container in two ways.  First,
@@ -104,21 +104,21 @@
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the pairs
      *
-     * \code
+     * @code
      *   Ipv6InterfaceContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       std::pair<Ptr<Ipv6>, uint32_t> pair = *i;
      *       method (pair.first, pair.second);  // use the pair
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns an iterator which refers to the first pair in the container.
+     * @returns an iterator which refers to the first pair in the container.
      */
     Iterator Begin() const;
 
     /**
-     * \brief Get an iterator which indicates past-the-last Node in the
+     * @brief Get an iterator which indicates past-the-last Node in the
      * container.
      *
      * Nodes can be retrieved from the container in two ways.  First,
@@ -126,29 +126,29 @@
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the Nodes
      *
-     * \code
+     * @code
      *   NodeContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       std::pair<Ptr<Ipv6>, uint32_t> pair = *i;
      *       method (pair.first, pair.second);  // use the pair
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns an iterator which indicates an ending condition for a loop.
+     * @returns an iterator which indicates an ending condition for a loop.
      */
     Iterator End() const;
 
     /**
-     * \brief Fusion with another Ipv6InterfaceContainer.
-     * \param c container
+     * @brief Fusion with another Ipv6InterfaceContainer.
+     * @param c container
      */
     void Add(const Ipv6InterfaceContainer& c);
 
     /**
-     * \brief Add a couple of name/interface.
-     * \param ipv6Name name of a node
-     * \param interface interface index to add
+     * @brief Add a couple of name/interface.
+     * @param ipv6Name name of a node
+     * @param interface interface index to add
      */
     void Add(std::string ipv6Name, uint32_t interface);
 
@@ -156,71 +156,71 @@
      * Get the std::pair of an Ptr<Ipv6> and interface stored at the location
      * specified by the index.
      *
-     * \param i the index of the container entry to retrieve.
-     * \return the std::pair of a Ptr<Ipv6> and an interface index
+     * @param i the index of the container entry to retrieve.
+     * @return the std::pair of a Ptr<Ipv6> and an interface index
      *
-     * \note The returned Ptr<Ipv6> cannot be used directly to fetch the
+     * @note The returned Ptr<Ipv6> cannot be used directly to fetch the
      *       Ipv6Interface using the returned index (the GetInterface () method
      *       is provided in class Ipv6L3Protocol, and not class Ipv6). An
      *       example usage is provided below.
      *
-     * \code
+     * @code
      *   Ipv6InterfaceContainer c;
      *   ...
      *   std::pair<Ptr<Ipv6>, uint32_t> returnValue = c.Get (0);
      *   Ptr<Ipv6> ipv6 = returnValue.first;
      *   uint32_t index = returnValue.second;
      *   Ptr<Ipv6Interface> iface =  DynamicCast<Ipv6L3Protocol> (ipv6)->GetInterface (index);
-     * \endcode
+     * @endcode
      */
     std::pair<Ptr<Ipv6>, uint32_t> Get(uint32_t i) const;
 
     /**
-     * \brief Set the state of the stack (act as a router or as an host) for the specified index.
+     * @brief Set the state of the stack (act as a router or as an host) for the specified index.
      * This automatically sets all the node's interfaces to the same forwarding state.
-     * \param i index
-     * \param state true : is a router, false : is an host
+     * @param i index
+     * @param state true : is a router, false : is an host
      */
     void SetForwarding(uint32_t i, bool state);
 
     /**
-     * \brief Set the default route for all the devices (except the router itself).
-     * \param router the default router index
+     * @brief Set the default route for all the devices (except the router itself).
+     * @param router the default router index
      */
     void SetDefaultRouteInAllNodes(uint32_t router);
 
     /**
-     * \brief Set the default route for all the devices (except the router itself).
+     * @brief Set the default route for all the devices (except the router itself).
      * Note that the route will be set to the link-local address of the node with the specified
      * address.
-     * \param routerAddr the default router address
+     * @param routerAddr the default router address
      */
     void SetDefaultRouteInAllNodes(Ipv6Address routerAddr);
 
     /**
-     * \brief Set the default route for the specified index.
-     * \param i index
-     * \param router the default router
+     * @brief Set the default route for the specified index.
+     * @param i index
+     * @param router the default router
      */
     void SetDefaultRoute(uint32_t i, uint32_t router);
 
     /**
-     * \brief Set the default route for the specified index.
+     * @brief Set the default route for the specified index.
      * Note that the route will be set to the link-local address of the node with the specified
      * address.
-     * \param i index
-     * \param routerAddr the default router address
+     * @param i index
+     * @param routerAddr the default router address
      */
     void SetDefaultRoute(uint32_t i, Ipv6Address routerAddr);
 
   private:
     /**
-     * \brief Container for pairs of Ipv6 smart pointer / Interface Index.
+     * @brief Container for pairs of Ipv6 smart pointer / Interface Index.
      */
     typedef std::vector<std::pair<Ptr<Ipv6>, uint32_t>> InterfaceVector;
 
     /**
-     * \brief List of IPv6 stack and interfaces index.
+     * @brief List of IPv6 stack and interfaces index.
      */
     InterfaceVector m_interfaces;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv6-list-routing-helper.h ns-3.44/src/internet/helper/ipv6-list-routing-helper.h
--- ns-3.43/src/internet/helper/ipv6-list-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv6-list-routing-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup ipv6Helpers
+ * @ingroup ipv6Helpers
  *
- * \brief Helper class that adds ns3::Ipv6ListRouting objects
+ * @brief Helper class that adds ns3::Ipv6ListRouting objects
  *
  * This class is expected to be used in conjunction with
  * ns3::InternetStackHelper::SetRoutingHelper
@@ -34,14 +34,14 @@
     Ipv6ListRoutingHelper();
 
     /**
-     * \brief Destroy an Ipv6 Ipv6ListRoutingHelper.
+     * @brief Destroy an Ipv6 Ipv6ListRoutingHelper.
      */
     ~Ipv6ListRoutingHelper() override;
 
     /**
-     * \brief Construct an Ipv6ListRoutingHelper from another previously
+     * @brief Construct an Ipv6ListRoutingHelper from another previously
      * initialized instance (Copy Constructor).
-     * \param o object to be copied
+     * @param o object to be copied
      */
     Ipv6ListRoutingHelper(const Ipv6ListRoutingHelper& o);
 
@@ -49,7 +49,7 @@
     Ipv6ListRoutingHelper& operator=(const Ipv6ListRoutingHelper&) = delete;
 
     /**
-     * \returns pointer to clone of this Ipv6ListRoutingHelper
+     * @returns pointer to clone of this Ipv6ListRoutingHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -57,8 +57,8 @@
     Ipv6ListRoutingHelper* Copy() const override;
 
     /**
-     * \param routing a routing helper
-     * \param priority the priority of the associated helper
+     * @param routing a routing helper
+     * @param priority the priority of the associated helper
      *
      * Store in the internal list a reference to the input routing helper
      * and associated priority. These helpers will be used later by
@@ -68,8 +68,8 @@
      */
     void Add(const Ipv6RoutingHelper& routing, int16_t priority);
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created routing protocol
      *
      * This method will be called by ns3::InternetStackHelper::Install
      */
@@ -77,7 +77,7 @@
 
   private:
     /**
-     * \brief Container for pairs of Ipv6RoutingHelper pointer / priority.
+     * @brief Container for pairs of Ipv6RoutingHelper pointer / priority.
      */
     std::list<std::pair<const Ipv6RoutingHelper*, int16_t>> m_list;
 };
